
From: "Antonino A. Daplas" <adaplas@hotpop.com>

Fix copy system-io copy bug.

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/neofb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/neofb.c~fbdev-fix-source-copy-bug-in-neofb drivers/video/neofb.c
--- 25/drivers/video/neofb.c~fbdev-fix-source-copy-bug-in-neofb	Wed Nov  3 15:18:49 2004
+++ 25-akpm/drivers/video/neofb.c	Wed Nov  3 15:18:49 2004
@@ -1534,7 +1534,7 @@ neo2200_imageblit(struct fb_info *info, 
 	       &par->neo2200->xyExt);
 
 	for (i = 0; i < data_len; i++)
-		writeb(image->data[i], par->mmio_vbase + 0x100000);
+		writeb(image->data[i], par->mmio_vbase + 0x100000 + i);
 }
 
 static void
_
